<template>
  <q-page padding>
    <div class="text-h5 q-mb-md">Mi Datos Personales</div>

    <div class="row q-col-gutter-sm">
      <div class="col-md-3 col-xs-12">
        <FotoPartial />
      </div>
      <div class="col-md-9 col-xs-12">
        <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
          Actualizar Perfil

          <q-space />
          <div class="q-gutter-xs">
            <q-btn
              flat
              dense
              icon="manage_accounts"
              label="Datos"
              @click="
                verDatos = true;
                verPassword = false;
              "
            />
            |
            <q-btn
              flat
              dense
              icon="vpn_key"
              label="Cambiar Contraseña"
              @click="
                verPassword = true;
                verDatos = false;
              "
            />
          </div>
        </q-toolbar>

        <PasswordPartial v-if="verPassword" />
        <DatosPartial v-if="verDatos" />
      </div>
    </div>

    <Loading :showing="loading" />
  </q-page>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { useUserStore } from 'src/stores/user';
import FotoPartial from './_FotoPartial.vue';
import PasswordPartial from './_PasswordPartial.vue';
import DatosPartial from './_DatosPartial.vue';
import Loading from 'src/components/Loading.vue';
export default defineComponent({
  name: 'IndexPage',
  components: { Loading, FotoPartial, PasswordPartial, DatosPartial },
  setup() {
    const loading = ref(false);
    const verDatos = ref(true);
    const verPassword = ref(false);

    const store = useUserStore();

    onMounted(() => {
      console.log('sss');
    });

    return {
      loading,
      verDatos,
      verPassword,
      user: store.details,
    };
  },
});
</script>
